Memcached
Memcached::addByKey
Memcached
PHP Manual

# Memcached::add

(PECL memcached >= 0.1.0)

Memcached::add — Add an item under a new key

### Opis

public bool Memcached::add ( string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::add() is similar to Memcached::set, but the operation fails if the `key` already exists on the server.

### Parametry

`key`

  Klucz określający przechowywaną wartość.

`value`

  Wartość do przechowania.

`expiration`

  Czas wygaśnięcia, domyślnie 0. Zobacz Czasy wygaśnięcia, aby dowiedzieć się wiecej.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key already exists.

### Zobacz też:

- Memcached::addByKey - Add an item under a new key on a specific server
- Memcached::set - Store an item
- Memcached::replace - Replace the item under an existing key

Memcached
Memcached::addByKey
Memcached
PHP Manual